Skip to main content
GET
Admin List Space Access Members

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

space_id
string
required
Maximum string length: 36
team_id
string
required
hub_id
string
required
Maximum string length: 36

Query Parameters

filter[access_source]
enum<string> | null
Available options:
public,
segment,
granted,
moderator
page[after]
string | null

Cursor — ID of the last item on the previous page.

page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Keyset page (on contact id) of everyone who can view a space, with provenance.

data
JsonApiResource[SpaceAccessMemberAttributes] · object[]
required
included
any[] | null
meta
SpaceAccessMemberListMeta · object | null

segment_status: resolved (the live segment was read), none (no segment arm: a public space, or restricted without a segment) or unresolved (segment_id names no live segment of the team; nobody can view the space, its grantees and moderators included, and data is empty).